Subject: Re: bug#16099: 24.3.50; Build failure, undefined function `cl-member'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Dec 2013 20:34:34 +0200

> Date: Tue, 10 Dec 2013 18:25:11 +0000
> From: Richard Copley <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> >   Opening output file: no such file or directory,
> c:/c/emacs/trunk/lisp/loaddefs.el
> >   [...]
> >   loaddefs.el: No such file or directory
> >
> > ?
> 
> That certainly looks suspect, well spotted. I guess
> "c:/c/emacs/trunk/lisp/loaddefs.el" is the value of
> `generated-autoload-file' which is set a few lines up:
> 
> [...] --eval '(setq generated-autoload-file (expand-file-name
> "/c/emacs/trunk/lisp/loaddefs.el"))' [...]
> 
> I think that's probably a bug (mixing MSYS- and native-style paths), but if
> I had used a relative path to invoke the configure script, it would have
> been a benign bug. I'll reconfigure using a relative path and try again.

Instead of working around the problem, just add a call to
unmsys--file-name there, like we do for other autoloads in that
Makefile.